Subject: Re: bug#8891: 23.3; save-buffer messages about writing files that may not be written

From: Dave Abrahams <[email-masked]>
Date: Mon, 4 Jul 2011 16:36:02 -0400

On Jul 4, 2011, at 1:41 PM, Chong Tiding <[email-masked]> wrote:

> Lars Magne Ingebrigtsen <[email-masked]> writes:
> 
>>> I don't think it's worth changing.
>> 
>> It would be a very minor change -- it would just be moving a `message'
>> down into `basic-save-buffer-2' from `save-buffer', I think.
> 
> The implications are not obvious.  One good thing about emitting the
> "saving" message early is that if any of the intermediate steps take a
> long time, at least the user is informed about what Emacs is working on.
> 
> Postphoning the "saving" message eliminates that benefit, for the very
> minor benefit of handling a corner case (a custom write-file-functions
> entry) a tiny bit better.

FWIW I think I agree with you. I work around it by advising save-buffer; maybe that's for the best. 

--
BoostPro Computing * http://boostpro.com
[Sent from coveted but awkward mobile device]